%define upstream_name    String-Diff
%define upstream_version 0.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Simple diff to String
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Algorithm::Diff)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Module::Install::GithubMeta)
BuildRequires: perl(Module::Install::ReadmeFromPod)
BuildRequires: perl(Module::Install::ReadmeMarkdownFromPod)
BuildRequires: perl(Module::Install::Repository)
BuildRequires: perl(Pod::Markdown)
BuildRequires: perl(Test::Base)
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML)
# Optional tests only
BuildRequires:  perl(Capture::Tiny)
BuildRequires:  perl(Test::Perl::Critic)
BuildRequires:  perl(Test::Pod) >= 1.00
BuildRequires:  perl(Test::Spelling)
BuildArch:  noarch

%description
String::Diff is the difference of a consecutive string is made. after
general diff is done, the difference in the line is searchable.

the mark of the addition and the deletion can be freely changed. the color
is colored to the terminal with ANSI, using the HTML display it.

after the line is divided, diff is taken when 'linebreak' option is
specified.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Thu May 12 2016 tv <tv> 0.70.0-3.mga6
+ Revision: 1014013
- BR perl(Capture::Tiny) for testsuite

* Fri Feb 19 2016 umeabot <umeabot> 0.70.0-2.mga6
+ Revision: 969442
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 0.70.0-1.mga6
+ Revision: 868739
- update to 0.07

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-5.mga5
+ Revision: 750280
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-4.mga5
+ Revision: 686239
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.60.0-3.mga4
+ Revision: 514746
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 372782
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 0.60.0-1.mga3
+ Revision: 267494
- update to 0.06

* Fri Jan 21 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 28774
- mageia rebuild
- imported package perl-String-Diff

